#include "ti83p.h"
#include "ti83plus.inc" 
;#include "ti73.h" 

.org $4000

; change this to your ID
#define DEVELOPER_ID    $01,$23,$46

EXT_APP = 1                         ; This definition is required of all apps

; This is the application header definition area required for all apps.

 .db $80, $0F                       ; Field: Program length
 .db 0, 0, 0, 0                     ; Length = 0 (N/A for unsigned apps)

#ifdef SIGN_APP
 .db $80, $13                       ; Field: Program type
 .db DEVELOPER_ID                   ; Type = Developer ID
#else
 .db $80, $12                       ; Field: Program type
 .db $01,$04                        ; Type = Shareware, TI-83+
; .db $01,$02                        ; Type = Shareware, TI-73
#endif

 .db $80, $21                       ; Field: App ID
 .db 1                              ; Id = 1
 .db $80, $31                       ; Field: App Build
 .db 1                              ; Build = 1
 .db $80, $48                       ; Field: App Name
 .db "Frieza83"                     ; Name -- must be 8 characters
; .db "Frieza73"                     ; Name -- must be 8 characters
 .db $80, $81                       ; Field: App Pages
 .db 1                              ; App Pages = 1
 .db $80, $90                       ; No default splash screen
 .db $03, $26, $09, $04, $04, $6f, $1b, $80             ; Field: Date stamp- 5/12/1999
 .db $02, $0d, $40, $a1, $6b, $99, $f6, $59, $bc, $67   ; Dummy encrypted TI date stamp signature
 .db $f5, $85, $9c, $09, $6c, $0f, $b4, $03, $9b, $c9
 .db $03, $32, $2c, $e0, $03, $20, $e3, $2c, $f4, $2d 
 .db $73, $b4, $27, $c4, $a0, $72, $54, $b9, $ea, $7c 
 .db $3b, $aa, $16, $f6, $77, $83, $7a, $ee, $1a, $d4 
 .db $42, $4c, $6b, $8b, $13, $1f, $bb, $93, $8b, $fc 
 .db $19, $1c, $3c, $ec, $4d, $e5, $75
 .db $80, $7f                       ; Field: Program Image length
 .db   0, 0, 0, 0                   ; Length = 0, N/A
 .db   0, 0, 0, 0                   ; Reserved
 .db   0, 0, 0, 0                   ; Reserved
 .db   0, 0, 0, 0                   ; Reserved
 .db   0, 0, 0                      ; Reserved
#ifndef SIGN_APP
 .db 0                              ; add another pad byte if using only 2-byte keyfile
#endif

;  Main app control begins here
 ld hl,Title
 call ShowPic      ;calls the macro to draw the picture
 bcall(_getkey)
 
StartApp:
 bcall(_getcsc)
 cp 0
 jp nz, EXIT
Loop1:
 call Show1
 call Show1
 call Show1
 call Show1
 bcall(_getcsc)
 cp 0
 jp nz, EXIT
Loop2:
 call Show2
 call Show2
 call Show2
 call Show2
 bcall(_getcsc)
 cp 0
 jp nz, EXIT
Loop3:
 call Show3
 call Show3
 call Show3
 call Show3
 bcall(_getcsc)
 cp 0
 jp nz, EXIT
Loop4:
 call Show4
 call Show4
 call Show4
 call Show4
 bcall(_getcsc)
 cp 0
 jp nz, EXIT
Loop5:
 call Show5
 call Show5
 call Show5
 call Show5
 bcall(_getcsc)
 cp 0
 jp nz, EXIT
 jp StartApp
 
Show1:
 ld hl, Pic1_1
 call ShowPic      ;calls the macro to draw the picture
 ld hl, Pic1_2
 call ShowPic      ;calls the macro to draw the picture
 ld hl, Pic1_2
 call ShowPic      ;calls the macro to draw the picture
 ret
 
Show2:
 ld hl, Pic2_1
 call ShowPic      ;calls the macro to draw the picture
 ld hl, Pic2_2
 call ShowPic      ;calls the macro to draw the picture
 ld hl, Pic2_2
 call ShowPic      ;calls the macro to draw the picture
 ret
 
Show3:
 ld hl, Pic3_1
 call ShowPic      ;calls the macro to draw the picture
 ld hl, Pic3_2
 call ShowPic      ;calls the macro to draw the picture
 ld hl, Pic3_3
 call ShowPic      ;calls the macro to draw the picture
 ret
 
Show4:
 ld hl, Pic4_1
 call ShowPic      ;calls the macro to draw the picture
 ld hl, Pic4_2
 call ShowPic      ;calls the macro to draw the picture
 ld hl, Pic4_3
 call ShowPic      ;calls the macro to draw the picture
 ret
 
Show5:
 ld hl, Pic5_1
 call ShowPic      ;calls the macro to draw the picture
 ld hl, Pic5_2
 call ShowPic      ;calls the macro to draw the picture
 ld hl, Pic5_3
 call ShowPic      ;calls the macro to draw the picture
 ret
 
ShowPic:
 ld de,plotsscreen
 ld bc,LCDsize
 ldir
 bcall(_grbufcpy)
 ret
 
EXIT:
 bcall(_clrScrn2)
 bjump(4027h) ; Exit the 83+ application
; bjump(401Eh) ; Exit the 73 application

#include "pic96.asm"

.end
